import { resolveComponentProps } from '../common'
// Import dependencies entry
<%= entryImports %>

// Import Components
<%= componentImports %>

// Import Actions
<%= actionImports %>

const componentsMap = {
  <% useComponents.forEach(compItem => {%>
  '<%= compItem.materialName %>:<%= compItem.name %>': React.forwardRef((props,ref) => <<%= upperFirst(compItem.variableName) %> {...resolveComponentProps(props,  <%= compItem.isPlainProps? 1:0 %>)} pageVirtualFields={componentsMap} ref={ref}/>),
  <% }) %>
};

const componentActionsMap = {
  <% useMaterialActions.forEach(action => {%>
    '<%= action.materialName %>:<%= action.name %>': <%= action.variableName %>,
  <% }) %>
}

const controlMap = <%= controlMap %>;

if(!window[`@weapps-materials-main-<%= OFFICIAL_LIB_KEY %>`]) {
  window[`@weapps-materials-main-<%= OFFICIAL_LIB_KEY %>`] = {
    actions: $$OFFICIAL_ACTION
  }
}

export async function loadDependencies() {
  return {
    controlMap,
    componentsMap,
    componentActionsMap
  }
}

